## gnome-shell 3.38.4

=== debian/changelog ===
gnome-shell (3.38.4-1ubuntu3~21.04.1) hirsute; urgency=medium

  * No-change backport to hirsute
  * debian: Update references to debian/hirsute

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 19:11:49 +0200

gnome-shell (3.38.4-1ubuntu3) impish; urgency=medium

  [ Daniel van Vugt ]
  * Add workspacesView-Only-use-valid-allocations-when-avail.patch.
    To stop bogus values being used in _updateWorkspacesActualGeometry(),
    which would cause the overview to fail to toggle. (LP: #1922353)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Cherry-pick upstream calendar-server crash fix
    (LP: #1915929)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 31 May 2021 18:51:34 +0200

gnome-shell (3.38.4-1ubuntu2) hirsute; urgency=medium

  [ Daniel van Vugt ]
  * Add layout-Try-to-allocate-before-getting-size-of-tracke.patch.
    To fix LP: #1919979 and also to re-fix LP: #1917939
    (LP: #1919979, #1917939)
  * Drop layout-Allow-updating-struts-in-Overview.patch.
    Because it caused a regression and doesn't seem to have been necessary
    anyway. (LP: #1922772)

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Fix suggestions box actor population in non-latin languages
    (LP: #1914230)
  * debian/patches: Enable to use Escape to cancel auth requests (with limits)
    (LP: #1921929)
  * debian/patches: Refresh

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 15 Apr 2021 06:20:27 +0200

gnome-shell (3.38.4-1ubuntu1) hirsute; urgency=medium

  * Merge with debian, containing a new upstream release
  * debian/control: (Build-)Depends on mutter 3.38.4
  * debian/patches:
    - Refresh
    - Remove input-thread related patches
    - Fix handling of OSK codes in keyboard (LP: #1918738)
    - Ensure Cancel button uses proper arguments (LP: #1918666)
    - Allow updating struts in Overview (LP: #1917939)
    - Configure Login Scree: cleanup code to match shell's JS
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 26 Mar 2021 07:25:17 +0100

gnome-shell (3.38.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Fix missing X11 fallback icons (particularly for games and other
      programs not installed system-wide), a regression in 3.37.3
    - Fix a Shell crash when an X11 window with an invalid/empty icon
      is closed, possibly a regression in 3.38.3-3
    - Fix a memory leak when getting the icon from the texture cache
    - Fix a possible use-after-free when removing a window
    - Don't reposition unrelated windows when dragging a window onto the
      workspace switcher
    - Make sure the blur effect shader can be compiled successfully
    - Many other fixes that we already had via debian/patches
  * Drop all patches, applied upstream

 -- Simon McVittie <smcv@debian.org>  Wed, 17 Mar 2021 09:52:47 +0000

gnome-shell (3.38.3-4) unstable; urgency=medium

  * Team upload
  * Update to upstream commit 3.38.3-11-ga87aae8f4 from gnome-3-38 branch
    - Fix a crash if libsoup version 3 is installed
    - Update German translation

 -- Simon McVittie <smcv@debian.org>  Tue, 09 Mar 2021 20:35:00 +0000

gnome-shell (3.38.3-3ubuntu2) hirsute; urgency=medium

  [ Didier Roche ]
  [ Jean-Baptiste Lallement ]
  * debian/patches/ubuntu/configure_login_screen.patch:
    Make GDM background configurable with gsettings (LP: #1918613)

 -- Didier Roche <didrocks@ubuntu.com>  Thu, 25 Mar 2021 10:44:17 +0100

gnome-shell (3.38.3-3ubuntu1) hirsute; urgency=medium

  * debian/patches: Switch to the new API to get actor from inputdevice
    (LP: #1690719)


=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
Build-Depends: appstream,
               asciidoc-base,
               bash-completion,
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-gir,
               dh-sequence-gnome,
               gjs,
               gir1.2-accountsservice-1.0 <!nocheck>,
               gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
               gir1.2-geoclue-2.0 <!nocheck>,
               gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
               gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
               gir1.2-rsvg-2.0 <!nocheck>,
               gir1.2-upowerglib-1.0 <!nocheck>,
               gnome-control-center-dev (>= 1:3.4),
               gnome-pkg-tools (>= 0.11),
               gnome-settings-daemon-common <!nocheck>,
               gobject-introspection (>= 1.49.1),
               gsettings-desktop-schemas-dev (>= 3.33.1),
               gtk-doc-tools,
               libasound2-dev,
               libatk-bridge2.0-dev,
               libecal2.0-dev (>= 3.33.1),
               libedataserver1.2-dev (>= 3.33.1),
               libgcr-3-dev (>= 3.7.5),
               libgirepository1.0-dev (>= 1.29.15),
               libgjs-dev (>= 1.65.1),
               libgl1-mesa-dri <!nocheck>,
               libglib2.0-dev (>= 2.57.2),
               libgnome-autoar-0-dev,
               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
               libgnome-desktop-3-dev (>= 3.35.90),
               libgnome-menu-3-dev,
               libgstreamer1.0-dev (>= 0.11.92),
               libgstreamer-plugins-base1.0-dev,
               libgtk-3-dev (>= 3.21.6),
               libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
               libjson-glib-dev,
               libmutter-7-dev (>= 3.38.4),
               libnm-dev (>= 1.10.4) [linux-any],
               libpipewire-0.3-dev (>= 0.3.10) [linux-any],
               libpolkit-agent-1-dev (>= 0.100),
               libpulse-dev (>= 13),
               libsecret-1-dev,
               libstartup-notification0-dev (>= 0.11),
               libsystemd-dev [linux-any],
               libx11-dev,
               libxfixes-dev,
               libxml2-dev,
               mesa-common-dev,
               meson (>= 0.53.0),
               pkg-config (>= 0.22),
               sassc,
               systemd [linux-any],
               xauth <!nocheck>,
               xvfb <!nocheck>,
               xwayland <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://wiki.gnome.org/Projects/GnomeShell
XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/hirsute
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/hirsute

Package: gnome-shell
Architecture: linux-any
Depends: evolution-data-server (>= 3.33.1),
         gir1.2-accountsservice-1.0,
         gir1.2-atspi-2.0 (>= 2.36),
         gir1.2-freedesktop,
         gir1.2-gcr-3 (>= 3.7.5),
         gir1.2-gdesktopenums-3.0 (>= 3.12),
         gir1.2-gdm-1.0 (>= 3.18.2),
         gir1.2-geoclue-2.0,
         gir1.2-glib-2.0 (>= 1.56.0),
         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
         gir1.2-gnomedesktop-3.0 (>= 3.35.90),
         gir1.2-gstreamer-1.0,
         gir1.2-gtk-3.0 (>= 3.16),
         gir1.2-gweather-3.0 (>= 3.25.91),
         gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
         gir1.2-mutter-7 (>= 3.38.4),
         gir1.2-nm-1.0 [linux-any],
         gir1.2-nma-1.0 [linux-any],
         gir1.2-pango-1.0,
         gir1.2-polkit-1.0,
         gir1.2-rsvg-2.0,
         gir1.2-soup-2.4 (>= 2.40.1),
         gir1.2-upowerglib-1.0 (>= 0.99),
         gjs (>= 1.65.1),
         gnome-settings-daemon (>= 3.16.0),
         gnome-shell-common (= ${source:Version}),
         ubuntu-wallpapers,
         gsettings-desktop-schemas (>= 3.33.1),
         gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
         libglib2.0-bin (>= 2.53.0),
         python3,
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bolt (>= 0.3),
            gdm3 (>= 3.10.0.1-3~),
            gkbd-capplet,
            gnome-control-center (>= 1:3.25.2),
            gnome-remote-desktop,
            gnome-menus,
            gnome-user-docs,
            ibus,
            iio-sensor-proxy,
            switcheroo-control,
            ubuntu-session | gnome-session,
            xserver-xorg-legacy,
            unzip
Suggests: chrome-gnome-shell,
          gir1.2-telepathyglib-0.12,
          gnome-themes-standard-data,
          gnome-backgrounds (>= 3.13.90),
          gir1.2-telepathylogger-0.2 (>= 0.8.0)
Breaks: gnome-shell-extension-appindicator (<< 33),
        gnome-shell-extension-autohidetopbar (<< 20180511-2~),
        gnome-shell-extension-caffeine (<< 0~git20171229-3~),
        gnome-shell-extension-dash-to-panel (<= 18-1),
        gnome-shell-extension-dashtodock (<< 67+git20200225-1),
        gnome-shell-extension-desktop-icons (<< 20.04.0+git20200825),
        gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
        gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
        gnome-shell-extension-taskbar (<< 57.0-2.1~),
        gnome-shell-extension-top-icons-plus (<< 21-4~),
        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
        gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
        gnome-shell-pomodoro (<< 0.13.4-2.1~),
        gnome-session (<< 3.35.3-1ubuntu4~),
        nautilus (<< 1:3.30),
        yaru-theme-gnome-shell (<< 20.10.3~),
Provides: notification-daemon,
          polkit-1-auth-agent
Description: graphical shell for the GNOME desktop
 The GNOME Shell provides core interface functions like switching
 windows, launching applications or see your notifications. It takes
 advantage of the capabilities of modern graphics hardware and
 introduces innovative user interface concepts to provide a
 delightful and easy to use experience. GNOME Shell is the defining
 technology of the GNOME 3 user experience.

Package: gnome-shell-common
Architecture: all
Depends: ${misc:Depends}
Recommends: yaru-theme-gnome-shell
Breaks: gnome-shell (<< 3.36.1-6~)
Replaces: gnome-shell (<< 3.36.1-6~)
Description: common files for the GNOME graphical shell
 This package contains translations and data files for the GNOME shell.

Package: gnome-shell-extension-prefs
Architecture: linux-any
Depends: gnome-shell (= ${binary:Version}),
         gnome-shell-common (= ${source:Version}),
         ${gir:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: chrome-gnome-shell
Breaks: gnome-shell (<< 3.36.0-2)
Replaces: gnome-shell (<< 3.36.0-2)
Description: tool to enable / disable GNOME Shell extensions
 This package contains a tool which users who use Shell extensions can use to
 toggle them on and off, and access their preferences.

## gnome-shell 3.38.6

=== debian/changelog ===
gnome-shell (3.38.6-1~deb11u2) bullseye-security; urgency=high

  * d/p/screencast-Correct-expected-bus-name-for-streams.patch:
    Avoid screencast regression after fixing CVE-2024-34397.
    Previously, screencasting expected signals to come from the wrong
    D-Bus name, which only worked because there was a vulnerability in
    GLib that resulted in the sender being ignored.
  * Set urgency=high because this fixes a regression triggered by a
    security fix.

 -- Simon McVittie <smcv@debian.org>  Mon, 06 May 2024 22:16:03 +0100

gnome-shell (3.38.6-1~deb11u1) bullseye; urgency=medium

  * Rebuild for bullseye

 -- Simon McVittie <smcv@debian.org>  Wed, 01 Sep 2021 21:18:10 +0100

gnome-shell (3.38.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - gdm user interface fixes
      + Don't limit timed-login progress bar to the width of the username
        if it's short
      + Make sure authentication cancellation is handled correctly
      + Improve fingerprint authentication handling
      + Don't retry authentication if services are unavailable
    - Fix word suggestions in on-screen keyboard
    - Fix freeze after closing some modal dialogs with gjs 1.68.x
      (LP: #1918666)
    - Fix double-free crash in calendar on non-x86 (LP: #1915929)
    - Improve OSK compatibility with gjs 1.68.x (LP: #1918738)
    - Fix input-method popup visibility over fullscreen applications
    - Fix a crash if an app moves between monitors during startup
    - Fix D-Bus-initiated app focus changes
    - Make sure to return a value from D-Bus methods so callers won't
      time out
    - Fix runtime warnings related to magnifier and shutdown
    - Make sure power menu stays in sync with upower
    - Use mallinfo2() instead of deprecated mallinfo() if glibc is new
      enough (not applicable in Debian yet)
  * d/gbp.conf, d/control.in: Update VCS details for debian/unstable branch

 -- Simon McVittie <smcv@debian.org>  Thu, 26 Aug 2021 08:50:50 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -47,7 +46,7 @@
                libgtk-3-dev (>= 3.21.6),
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-7-dev (>= 3.38.4),
+               libmutter-7-dev (>= 3.38.0),
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -69,10 +68,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
-XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/hirsute
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/hirsute
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bullseye
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
 
 Package: gnome-shell
 Architecture: linux-any
@@ -91,7 +88,7 @@
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gweather-3.0 (>= 3.25.91),
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-7 (>= 3.38.4),
+         gir1.2-mutter-7 (>= 3.38.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -100,9 +97,9 @@
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
          gjs (>= 1.65.1),
+         gnome-backgrounds (>= 3.13.90),
          gnome-settings-daemon (>= 3.16.0),
          gnome-shell-common (= ${source:Version}),
-         ubuntu-wallpapers,
          gsettings-desktop-schemas (>= 3.33.1),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
@@ -111,39 +108,29 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt (>= 0.3),
+            chrome-gnome-shell,
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
             gnome-control-center (>= 1:3.25.2),
-            gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
             switcheroo-control,
-            ubuntu-session | gnome-session,
-            xserver-xorg-legacy,
             unzip
-Suggests: chrome-gnome-shell,
-          gir1.2-telepathyglib-0.12,
-          gnome-themes-standard-data,
-          gnome-backgrounds (>= 3.13.90),
+Suggests: gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0)
 Breaks: gnome-shell-extension-appindicator (<< 33),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
         gnome-shell-extension-dash-to-panel (<= 18-1),
         gnome-shell-extension-dashtodock (<< 67+git20200225-1),
-        gnome-shell-extension-desktop-icons (<< 20.04.0+git20200825),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
         gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
         gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
-        gnome-session (<< 3.35.3-1ubuntu4~),
-        nautilus (<< 1:3.30),
-        yaru-theme-gnome-shell (<< 20.10.3~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -157,7 +144,6 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

%:
	dh $@ --with bash_completion

ifeq ($(DEB_HOST_ARCH_OS),linux)
CONFFLAGS = \
	-Dnetworkmanager=true \
	-Dsystemd=true
endif

override_dh_auto_configure:
	dh_auto_configure -- \
		--libdir=/usr/lib \
		-Dbash_completion=true \
		$(CONFFLAGS)

override_dh_makeshlibs:
	dh_makeshlibs -X/usr/lib/gnome-shell/

override_dh_shlibdeps:
	# gnome-shell uses mutters private mutter-clutter-1.0.so etc.
	dh_shlibdeps -l"usr/lib/$(DEB_HOST_MULTIARCH)/mutter"

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dbus-run-session xvfb-run -a dh_auto_test
endif

## gnome-shell 40.5

=== debian/changelog ===
gnome-shell (40.5-1ubuntu2) impish; urgency=medium

  [ Daniel van Vugt ]
  * debian/patches: Avoid full meta context finalization.
    To workaround (prevent) shutdown crashes (LP: #1936826, #1942031, #1942121,
    LP: #1943406, #1944054, #1945010, #1945116, #1944388)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 05 Oct 2021 04:52:11 +0200

gnome-shell (40.5-1ubuntu1) impish; urgency=medium

  * Merge with debian
  * debian/patches: Refresh and update to current upstream
  * debian/patches: Move ubuntu-only patches into the ubuntu namespace
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - st-scroll-view-Handle-the-case-where-scrollbars-are-NULL.patch:
      + Fix crash on theme changes
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

  [ Jeremy Bicha ]
  * Revert "Skip ppc64el tests to fix FTBFS"

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 25 Sep 2021 13:07:30 +0200

gnome-shell (40.5-1) unstable; urgency=medium

  * New upstream release:
    - Optimize rendering of fullscreen zoom
    - Fix glitchy launch animations when leaving overview
    - Fix wrong separator position in dash
    - Fix OSK not registering button presses on X11
    - Fix work area getting messed up by hidden panels
    - Fix IM candidate popover position

  [ Simon McVittie ]
  * Revert "Avoid libgweather 40 dependency"
    libgweather 40 has now been uploaded to unstable.

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 24 Sep 2021 22:07:26 +0200

gnome-shell (40.4-3) unstable; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * gnome-shell-extension-prefs: Add patch to give Debian-specific advice.
    We package gnome-extensions-app in the same binary package as
    gnome-shell-extension-prefs, so there's never a need to install it
    separately, either via Debian packages or from Flathub.
  * gnome-shell-extension-prefs: Add Provides on gnome-extensions-app.
    The gnome-shell-extension-prefs program in this package is deprecated,
    and the gnome-extensions-app program is now the main reason to want to
    install it, so let's make it a bit more discoverable.
  * gnome-shell: Add Suggests on gnome-shell-extension-prefs.
    The g-s-e-p program itself is deprecated, but the g-s-e-p package also
    contains gnome-extensions-app, which is the recommended UI for
    extensions management.

  [ Jeremy Bicha ]
  * debian/watch: Watch for stable releases

  [ Marco Trevisan (Treviño) ]
  * debian/control: Add missing dependency on gir1.2-gtk-4.0

  [ Gunnar Hjalmarsson ]
  * Add libgtk-3-bin to Build-Depends for dh_translations (LP: #1941954)

 -- Simon McVittie <smcv@debian.org>  Sun, 12 Sep 2021 16:44:18 +0100

gnome-shell (40.4-2) unstable; urgency=medium

  * Team upload
  * Release to unstable (transition: #992870)
  * Depend on gnome-settings-daemon 40.
    Older versions don't autostart the screensaver service, causing screen
    locking to fail.
    Thanks to jordi
  * Depend on gsettings-desktop-schemas 40.
    This is implicit in our dependency on a newer gnome-settings-daemon,
    but let's make it explicit that all the core GNOME packages need to
    go together.

 -- Simon McVittie <smcv@debian.org>  Sat, 11 Sep 2021 21:54:49 +0100

gnome-shell (40.4-1) experimental; urgency=medium

  * Team upload
  * New upstream release
    - Don't include hidden search results in keyboard navigation
    - Fix visual issues with extensions that occupy screen edges
    - Add focus indications for switch widgets, such as VPN toggles
    - Fix visual glitch when dragging window preview in overview


=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gnome-shell
 Section: gnome
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>
 Build-Depends: appstream,
                asciidoc-base,
                bash-completion,
@@ -19,14 +20,14 @@
                gir1.2-gdm-1.0 (>= 3.18.2) <!nocheck>,
                gir1.2-geoclue-2.0 <!nocheck>,
                gir1.2-gnomedesktop-3.0 (>= 3.35.90) <!nocheck>,
-               gir1.2-gweather-3.0 (>= 3.25.91) <!nocheck>,
+               gir1.2-gweather-3.0 (>= 40.0) <!nocheck>,
                gir1.2-rsvg-2.0 <!nocheck>,
                gir1.2-upowerglib-1.0 <!nocheck>,
                gnome-control-center-dev (>= 1:3.4),
                gnome-pkg-tools (>= 0.11),
-               gnome-settings-daemon-common <!nocheck>,
+               gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection (>= 1.49.1),
-               gsettings-desktop-schemas-dev (>= 3.33.1),
+               gsettings-desktop-schemas-dev (>= 40~),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -43,10 +44,12 @@
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
                libgstreamer-plugins-base1.0-dev,
+               libgtk-3-bin,
                libgtk-3-dev (>= 3.21.6),
+               libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-7-dev (>= 3.38.0),
+               libmutter-8-dev (>= 40.0),
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -68,27 +71,32 @@
 Rules-Requires-Root: no
 Standards-Version: 4.5.1
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b debian/bullseye
-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
+XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
+Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git -b ubuntu/master
+Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell/tree/ubuntu/master
 
 Package: gnome-shell
 Architecture: linux-any
 Depends: evolution-data-server (>= 3.33.1),
          gir1.2-accountsservice-1.0,
+         gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
-         gir1.2-freedesktop,
          gir1.2-gcr-3 (>= 3.7.5),
          gir1.2-gdesktopenums-3.0 (>= 3.12),
+         gir1.2-gdkpixbuf-2.0,
          gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0 (>= 1.56.0),
          gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.35.90),
+         gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
-         gir1.2-gweather-3.0 (>= 3.25.91),
+         gir1.2-gtk-4.0,
+         gir1.2-gweather-3.0 (>= 40.0),
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-7 (>= 3.38.0),
+         gir1.2-mutter-8 (>= 40.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -96,11 +104,12 @@
          gir1.2-rsvg-2.0,
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
+         gir1.2-webkit2-4.0 (>= 2.16.0),
          gjs (>= 1.65.1),
-         gnome-backgrounds (>= 3.13.90),
-         gnome-settings-daemon (>= 3.16.0),
+         gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         gsettings-desktop-schemas (>= 3.33.1),
+         ubuntu-wallpapers,
+         gsettings-desktop-schemas (>= 40~),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
          python3,
@@ -108,29 +117,42 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: bolt (>= 0.3),
-            chrome-gnome-shell,
             gdm3 (>= 3.10.0.1-3~),
             gkbd-capplet,
             gnome-control-center (>= 1:3.25.2),
+            gnome-remote-desktop,
             gnome-menus,
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
             switcheroo-control,
+            ubuntu-session | gnome-session,
+            xserver-xorg-legacy,
             unzip
-Suggests: gir1.2-telepathyglib-0.12,
-          gir1.2-telepathylogger-0.2 (>= 0.8.0)
-Breaks: gnome-shell-extension-appindicator (<< 33),
+Suggests: chrome-gnome-shell,
+          gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
+          gir1.2-telepathyglib-0.12,
+          gir1.2-telepathylogger-0.2 (>= 0.8.0),
+          gnome-backgrounds (>= 3.13.90),
+          gnome-shell-extension-prefs,
+Breaks: gnome-shell-extension-appindicator (<< 36),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
-        gnome-shell-extension-dash-to-panel (<= 18-1),
-        gnome-shell-extension-dashtodock (<< 67+git20200225-1),
+        gnome-shell-extension-dash-to-panel (<< 43),
+        gnome-shell-extension-dashtodock (<< 70),
+        gnome-shell-extension-desktop-icons (<< 21.04),
+        gnome-shell-extension-desktop-icons-ng (<< 0.16.0~),
         gnome-shell-extension-multi-monitors (<< 0.00~git20171014.1.df5d6e4-1.1~),
         gnome-shell-extension-pixelsaver (<< 1.10+git20161217-49f47bf-1.1~),
         gnome-shell-extension-taskbar (<< 57.0-2.1~),
-        gnome-shell-extension-top-icons-plus (<< 21-4~),
-        gnome-shell-extension-workspaces-to-dock (<< 45-1.1~),
+        gnome-shell-extension-top-icons-plus (<< 27-3~),
+        gnome-shell-extension-ubuntu-dock (<< 68ubuntu20.10.1),
+        gnome-shell-extension-workspaces-to-dock (<< 54~),
+        gnome-shell-extensions (<< 40.0~),
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
+        gnome-session (<< 3.35.3-1ubuntu4~),
+        nautilus (<< 1:3.30),
+        yaru-theme-gnome-shell (<< 21.10.1~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -144,6 +166,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: yaru-theme-gnome-shell (>= 21.10.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -151,11 +174,13 @@
 
 Package: gnome-shell-extension-prefs
 Architecture: linux-any
-Depends: gnome-shell (= ${binary:Version}),
+Depends: gir1.2-gtk-4.0,
+         gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: gnome-extensions-app
 Recommends: chrome-gnome-shell
 Breaks: gnome-shell (<< 3.36.0-2)
 Replaces: gnome-shell (<< 3.36.0-2)

## gnome-shell 42.0

=== meson_options.txt ===
option('extensions_tool',
  type: 'boolean',
  value: true,
  description: 'Build gnome-extensions CLI tool'
)

option('extensions_app',
  type: 'boolean',
  value: true,
  description: 'Build gnome-extensions GUI application'
)

option('gtk_doc',
  type: 'boolean',
  value: false,
  description: 'Build API reference'
)

option('man',
  type: 'boolean',
  value: true,
  description: 'Generate man pages'
)

option('tests',
  type: 'boolean',
  value: true,
  description: 'Enable tests'
)

option('networkmanager',
  type: 'boolean',
  value: true,
  description: 'Enable NetworkManager support'
)

option('systemd',
  type: 'boolean',
  value: true,
  description: 'Enable systemd integration'
)

option('soup2',
  type: 'boolean',
  value: true,
  description: 'Use Soup 2.4 instead of Soup 3. Must be in sync with libgweather'
)

=== debian/changelog ===
gnome-shell (42.0-2ubuntu1) jammy; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Cherry-pick upstream fixes targetting 42.1
  * debian/patches: Compute system ackground color from theme (LP: #1965727)
  * ubuntu/configure-login-screen.patch: Use bg color for initial system bg
    (LP: #1965727)
  * debian/patches: Ensure St.Entry's `selected-color` CSS property is honored
    (LP: #1878998)
  * ubuntu/support-loading-Yaru-variants: Handle dark/light variants better
  * d/p/main-Avoid-meta-finalize: Leak gjs context only on ubiquity sessions
    (LP: #1964458)
  * d/p/use-favorites-strings: Only apply this to ubuntu session
  * debian/patches: Do not hang and crash if fingerprint service fails to start
    (LP: #1962566)
  * debian: Use gnomebluetooth-3.0 as dependency and revert patches disabling it
    (LP: #1738838, #1968364, #1964600)

  [ Jeremy Bicha ]
  * Use libgweather4 instead of old libgweather (LP: #1964600)
  * Add patch to work around meson issue (Debian 1008189)
  * releasing package gnome-shell version 42.0-2
  * debian/control.in: Recommend power-profiles-daemon for power mode feature

  [ Daniel van Vugt ]
  * main-Avoid-meta-finalize.patch: Leak GJS to work around LP: #1964458

  [ Gunnar Hjalmarsson ]
  * Revert "dash: Use pin instead of favorites"

  [ Jeremy Bicha ]
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests
      gnome-themes-standard-data, gnome-backgrounds
    - Add some Recommends:
      + ubuntu-session (| gnome-session) to have the ubuntu session available
      + xserver-xorg-legacy
      + yaru-theme-gnome-shell for the default ubuntu theming
      + gnome-remote-desktop to provide remote desktop support by default
    - Moved some Recommends to Suggests:
      + chrome-gnome-shell
    - Update debian/gbp.conf with Ubuntu settings
    - gnome-shell-common.prerm: Remove deprecated ubuntu theme alternative
    - ubuntu/desktop_detect.patch:
      + add caching for desktop detection to avoid querying the current
        desktop env variable as iterate through the list each time. For the
        time of the Shell process, we can expect this env variable to stay
        stable.
    - ubuntu/smarter_alt_tab.patch:
      + quick alt-tab (without showing up the switcher) switch only between
        the last window of the last 2 applications to be focused instead of
        raising all windows of those apps.
    - ubuntu/lightdm-user-switching.patch:
      + Allow user switching when using LightDM.
    - ubuntu/lock_on_suspend.patch
      + Respect Ubuntu's lock-on-suspend setting.
    - ubuntu/background_login.patch
      + Change default background color as we modified the default GDM color
        for our ubuntu session.
    - ubuntu/gdm_alternatives.patch
      + Add support for GDM3 theme alternatives
    - optional-hot-corner.patch
      + enable patch proposed by upstream developer already in package (but
        not in series) to add a settings for optional hot corner activation.
    - main-show-an-error-message-on-gnome-shell-crash.patch,
      global-make-possible-to-set-debug-flags-dynamically.patch,
      main-increase-the-granularity-of-backtraces-in-SHELL_DEBU.patch,
      main-add-backtrace-crashes-all-and-backtrace-all.patch,
      sessionMode-add-support-for-debugFlags-parameter.patch:
      + Improve debug JS tracing for crash reports
    - ubuntu/search-call-XUbuntuCancel-method-on-providers-when-no-dat.patch:
      + stop searches when requested from UI
    - magnifier-Show-cursor-when-magnifier-is-enabled-and-scale.patch:
      + Show monitor scaled cursor when magnifier is enabled
    - ubuntu/layout-Make-starting-in-the-overview-optional.patch:
      + Makes dock replace overview easier
    - ubuntu/layout-Try-to-allocate-before-getting-size-of-tracke.patch:
      + Ensure windows don't get maximized under the panels / dock
    - ubuntu/sessionMode-Add-support-for-configuring-an-icons-resource.patch:
      + Support loading iconsResourceName from session file
    - ubuntu/main-Support-loading-multiple-Yaru-theme-variants.patch:
      + Support loading Yaru theme variants (for accent color)
    - debian/patches: Support configuring icons resource to use for mode
    - debian/ubuntu-session-mods/ubuntu.json: Use Yaru's gnome-shell icons
    - Revert-st-Apply-css-foreground-color-to-text-as-a-PangoAt.patch:
      + Ensure selected-text foreground color is preserved
    - Break gnome-shell-extension-desktop-icons (<< 19.01.3+git20190814)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 13 Apr 2022 03:30:47 +0200

gnome-shell (42.0-2) unstable; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * js: Support legacy GNOME Control Center (now Settings) dbus name
  * debian/patches: Cherry-pick various upstream fixes targeting 42.1
  * debian/patches: Fix monitor switching configuration (LP: #1964496)
  * debian/patches: Overview, remove desktop fade logic (LP: #1965072)
  * shellDBus: Actually make ScreenTransitionAsync async

  [ Jeremy Bicha ]
  * Use libgweather4 instead of old libgweather
  * Add patch to work around meson issue (Debian 1008189)
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Mar 2022 11:14:05 -0400

gnome-shell (42.0-1ubuntu1) jammy; urgency=medium

  [ Jeremy Bicha ]
  * Merge with Debian.
  * Add patches to revert switch to new gnome-bluetooth
  * Revert "debian/control.in: Switch to gnome-bluetooth3"

  [ Marco Trevisan (Treviño) ]
  * debian/patches: Refresh
  * debian/patches: Fix monitor switching configuration (LP: #1964496)
  * debian/patches: Overview, remove desktop fade logic (LP: #1965072)
  * debian/patches: Cherry-pick various upstream fixes targeting 42.1
  * js: Support legacy GNOME Control Center (now Settings) dbus name
  * shellDBus: Actually make ScreenTransitionAsync async

  [ Jeremy Bicha ]
  * Remaining changes with debian:
    - Replace gnome-backgrounds dep with ubuntu-wallpapers and Suggests


=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                gnome-pkg-tools (>= 0.11),
                gnome-settings-daemon-common (>= 40~) <!nocheck>,
                gobject-introspection (>= 1.49.1),
-               gsettings-desktop-schemas-dev (>= 40~),
+               gsettings-desktop-schemas-dev (>= 42~beta),
                gtk-doc-tools,
                libasound2-dev,
                libatk-bridge2.0-dev,
@@ -35,11 +35,11 @@
                libedataserver1.2-dev (>= 3.33.1),
                libgcr-3-dev (>= 3.7.5),
                libgirepository1.0-dev (>= 1.29.15),
-               libgjs-dev (>= 1.65.1),
+               libgjs-dev (>= 1.71.1),
                libgl1-mesa-dri <!nocheck>,
                libglib2.0-dev (>= 2.57.2),
                libgnome-autoar-0-dev,
-               libgnome-bluetooth-dev (>= 3.9.0) [linux-any],
+               libgnome-bluetooth-3.0-dev (>= 3.9.0) [linux-any],
                libgnome-desktop-3-dev (>= 3.35.90),
                libgnome-menu-3-dev,
                libgstreamer1.0-dev (>= 0.11.92),
@@ -49,7 +49,8 @@
                libgtk-4-dev,
                libibus-1.0-dev (>= 1.5.22-2ubuntu2~),
                libjson-glib-dev,
-               libmutter-8-dev (>= 40.0),
+               libmutter-10-dev (>= 42.0),
+               libmutter-test-10 (>= 42.0) <!nocheck>,
                libnm-dev (>= 1.10.4) [linux-any],
                libpipewire-0.3-dev (>= 0.3.10) [linux-any],
                libpolkit-agent-1-dev (>= 0.100),
@@ -61,7 +62,8 @@
                libxfixes-dev,
                libxml2-dev,
                mesa-common-dev,
-               meson (>= 0.53.0),
+               meson (>= 0.58.0),
+               mutter (>= 42.0) <!nocheck>,
                pkg-config (>= 0.22),
                sassc,
                systemd [linux-any],
@@ -69,7 +71,7 @@
                xvfb <!nocheck>,
                xwayland <!nocheck>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://wiki.gnome.org/Projects/GnomeShell
 XS-Debian-Vcs-Git: https://salsa.debian.org/gnome-team/gnome-shell.git
 XS-Debian-Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-shell
@@ -80,6 +82,7 @@
 Architecture: linux-any
 Depends: evolution-data-server (>= 3.33.1),
          gir1.2-accountsservice-1.0,
+         gir1.2-adw-1,
          gir1.2-atk-1.0,
          gir1.2-atspi-2.0 (>= 2.36),
          gir1.2-gcr-3 (>= 3.7.5),
@@ -88,15 +91,16 @@
          gir1.2-gdm-1.0 (>= 3.18.2),
          gir1.2-geoclue-2.0,
          gir1.2-glib-2.0 (>= 1.56.0),
-         gir1.2-gnomebluetooth-1.0 (>= 3.12.0) [linux-any],
+         gir1.2-gnomebluetooth-3.0 (>= 3.12.0) [linux-any],
          gir1.2-gnomedesktop-3.0 (>= 3.35.90),
          gir1.2-graphene-1.0 (>= 1.10.2),
          gir1.2-gstreamer-1.0,
          gir1.2-gtk-3.0 (>= 3.16),
          gir1.2-gtk-4.0,
          gir1.2-gweather-3.0 (>= 40.0),
+         gir1.2-freedesktop,
          gir1.2-ibus-1.0 (>= 1.5.22-2ubuntu2~),
-         gir1.2-mutter-8 (>= 40.0),
+         gir1.2-mutter-10 (>= 42.0),
          gir1.2-nm-1.0 [linux-any],
          gir1.2-nma-1.0 [linux-any],
          gir1.2-pango-1.0,
@@ -105,14 +109,13 @@
          gir1.2-soup-2.4 (>= 2.40.1),
          gir1.2-upowerglib-1.0 (>= 0.99),
          gir1.2-webkit2-4.0 (>= 2.16.0),
-         gjs (>= 1.65.1),
          gnome-settings-daemon (>= 40~),
          gnome-shell-common (= ${source:Version}),
-         ubuntu-wallpapers,
-         gsettings-desktop-schemas (>= 40~),
+         gsettings-desktop-schemas (>= 42~beta),
          gstreamer1.0-pipewire (>= 0.3.10) [linux-any],
          libglib2.0-bin (>= 2.53.0),
          python3,
+         ubuntu-wallpapers,
          ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
@@ -125,16 +128,17 @@
             gnome-user-docs,
             ibus,
             iio-sensor-proxy,
+            power-profiles-daemon,
             switcheroo-control,
             ubuntu-session | gnome-session,
             xserver-xorg-legacy,
             unzip
-Suggests: chrome-gnome-shell,
-          gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
+Suggests: gir1.2-malcontent-0 (>= 0.6.0) [linux-any],
           gir1.2-telepathyglib-0.12,
           gir1.2-telepathylogger-0.2 (>= 0.8.0),
           gnome-backgrounds (>= 3.13.90),
           gnome-shell-extension-prefs,
+          chrome-gnome-shell,
 Breaks: gnome-shell-extension-appindicator (<< 36),
         gnome-shell-extension-autohidetopbar (<< 20180511-2~),
         gnome-shell-extension-caffeine (<< 0~git20171229-3~),
@@ -152,7 +156,7 @@
         gnome-shell-pomodoro (<< 0.13.4-2.1~),
         gnome-session (<< 3.35.3-1ubuntu4~),
         nautilus (<< 1:3.30),
-        yaru-theme-gnome-shell (<< 21.10.1~),
+        yaru-theme-gnome-shell (<< 22.04.1~),
 Provides: notification-daemon,
           polkit-1-auth-agent
 Description: graphical shell for the GNOME desktop
@@ -166,7 +170,7 @@
 Package: gnome-shell-common
 Architecture: all
 Depends: ${misc:Depends}
-Recommends: yaru-theme-gnome-shell (>= 21.10.1~)
+Recommends: yaru-theme-gnome-shell (>= 22.04.1~)
 Breaks: gnome-shell (<< 3.36.1-6~)
 Replaces: gnome-shell (<< 3.36.1-6~)
 Description: common files for the GNOME graphical shell
@@ -174,7 +178,9 @@
 
 Package: gnome-shell-extension-prefs
 Architecture: linux-any
-Depends: gir1.2-gtk-4.0,
+Depends: gir1.2-adw-1,
+         gir1.2-gtk-4.0,
+         gjs (>= 1.71.1),
          gnome-shell (= ${binary:Version}),
          gnome-shell-common (= ${source:Version}),
          ${gir:Depends},

=== debian/rules ===
--- 
+++ 
@@ -6,16 +6,25 @@
 %:
 	dh $@ --with bash_completion
 
+CONFFLAGS =
+
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-CONFFLAGS = \
+CONFFLAGS += \
 	-Dnetworkmanager=true \
+	-Dsoup2=true \
 	-Dsystemd=true
+endif
+
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+CONFFLAGS += -Dtests=true
+else
+CONFFLAGS += -Dtests=false
 endif
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
 		--libdir=/usr/lib \
-		-Dbash_completion=true \
+		-Dextensions-tool:bash_completion=enabled \
 		$(CONFFLAGS)
 
 override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://download.gnome.org/sources/@PACKAGE@/cache.json \
	\d+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## gnome-shell 42.2

=== debian/changelog ===
gnome-shell (42.2-0ubuntu0.2) jammy; urgency=medium

  * New upstream release (LP: #1977776)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 06 Jun 2022 21:28:11 -0400

gnome-shell (42.1-0ubuntu0.1) jammy; urgency=medium

  * New upstream release (LP: #1973373, LP: #1968911)
  * Drop patches applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 16 May 2022 08:21:57 -0400
